"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTokenTransferDetails = exports.TokenBridge = exports.ErrNotWrapped = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
require("../payloads/tokenBridge");
const vaa_1 = require("../vaa");
const ErrNotWrapped = (token) => new Error(`Token ${token} is not a wrapped asset`);
exports.ErrNotWrapped = ErrNotWrapped;
var TokenBridge;
(function (TokenBridge) {
    // export const transferPayloadNames = ["Transfer", "TransferWithPayload"] as const;
    // export type TransferPayloadNames = typeof transferPayloadNames[number];
    TokenBridge.getTransferDiscriminator = (0, sdk_base_1.lazyInstantiate)(() => (0, vaa_1.payloadDiscriminator)(["TokenBridge", ["Transfer", "TransferWithPayload"]]));
})(TokenBridge || (exports.TokenBridge = TokenBridge = {}));
function isTokenTransferDetails(thing) {
    return (thing.token !== undefined &&
        thing.amount !== undefined &&
        thing.from !== undefined &&
        thing.to !== undefined);
}
exports.isTokenTransferDetails = isTokenTransferDetails;
//# sourceMappingURL=tokenBridge.js.map